Chief Tools Logo

CustomDomain

object

A custom domain name.

Implements

Entity·interface

An object with an ID.

Fields

id·ID!

The unique identifier for the object.

team·Team!

The team the custom domain belongs to.

The type of the custom domain.

domain·String!

The custom domain name.

The custom domain name as full URL.

target·URL!

The URL that the custom domain is redirected to.

isDefault·Boolean!

Whether the custom domain should be used by default when creating short URLs. Only applicable to link domains.

redirectWithPath·Boolean!

Whether the path should be included in the redirect. Only applicable to redirect domains.

redirectWithQuery·Boolean!

Whether the query parameters should be included in the (default) redirect.

redirectDefaultNotFound·Boolean!

Whether the visitor is redirect to the default redirect if no link was found. Only applicable to link domains.

clicks·Int!

The amount of times the custom domain has been visited by humans in total. Only counted for redirect domains or default redirects for link domains.

crawlerVisits·Int!

The amount of times the custom domain has been visited by bots in total. Only counted for redirect domains or default redirects for link domains.

sharedStatisticsUrl·URL

A secret URL that shows the statistics to anyone who has it, null when not created.

statistics·Statistics!(1 arg)

The click statistics for the custom domain. Only counted for redirect domains or default redirects for link domains.

Arguments
createdBy·User

The user that originally created the custom domain.

createdAt·DateTime!

Identifies the date and time when the object was created.

updatedAt·DateTime!

Identifies the date and time when the object was updated.

List of shortened URLs.

Arguments
  • searchString

    Search for a specific original URL or short URL slug.

  • firstInt!= 10

    Limits number of fetched items. Maximum allowed value: 100.

  • pageInt

    The offset from which items are returned.